This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 836757 - Suspend inoperable - ASUS A8N-VM (nForce 410 MCP chipset) + Athlon64
Suspend inoperable - ASUS A8N-VM (nForce 410 MCP chipset) + Athlon64
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
suspend first-3.2.4 tested=3.4.3 regr...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-30 19:39 EDT by Ferdinand Badescu
Modified: 2013-07-31 22:12 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:12:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hardware profile (stdio from smolt) (2.88 KB, text/plain)
2012-06-30 19:42 EDT, Ferdinand Badescu
no flags Details
hardware profile (smolt) for the working system. (3.41 KB, text/plain)
2012-07-11 17:07 EDT, Ferdinand Badescu
no flags Details

  None (edit)
Description Ferdinand Badescu 2012-06-30 19:39:37 EDT
Description of problem: Simply stated: The computer does not go into suspend mode.This has been an ongoing problem on my system ever since kernel 3.2.4 (in Fedora 16); kernel 3.2.3 was the last kernel that had a working "suspend" mode.
I tried a couple of ways to put the computer into "suspend" mode:

1. IF USING THE COMMAND "PM-SUSPEND" IN A TERMINAL:
- video goes OFF
- fans  are still ON (still run at normal speed)
- HDD  is still ON
- Power LED on the case is steady; when the computer goes into "suspend" mode, this LED is normally blinking.
- Sound is OFF
- After about 1 second, the system resumes by itself, without any button activation.

2. IF USING the "SUSPEND" COMMAND IN GNOME 3 SHELL, UNDER THE USER MENU (Notifications, ONline Accounts... Suspend):
- video goes OFF
- fans are still ON
- HDD is still ON
- Power LED is steady
- Sound goes OFF
After 5-10 seconds:
- sound resumes to ON
- video is OFF
- HDD is ON
- fans are ON
- any keypress on keyboard or mouse motion has no effect on the system status
- pressing the "Power" button on the case has no effect
- pressing the "Reset"button has the following effect: fans slow down, video is still OF, and keyboard and mouse are non-responsive.
- At this stage, if pression the "Power" button on the case will turn the coumputer OFF.

Additional steps I took to troubleshoot the problem: used the "pm-is-supported" command, both as regular user and as root. "pm-is-supported" does not return any value (0, 1 or any other code), regardless of the selected options - suspend, hibernate, or suspend-hybrid.

Version-Release number of selected component (if applicable):

kernel-3.4.3-1.fc17.x86_64


How reproducible:  Every single time.

Steps to Reproduce:

1. Turn ON the computer, and wait for it to boot.
2. Try to suspend through different means: command line, graphical, while running the system without a graphical interface (equivalent of init 3)

  
Actual results: The system does not suspend.


Expected results: The system goes in "suspend" mode.


Additional info:

1. List of loaded modules (lsmod):

Module                  Size  Used by
binfmt_misc            17463  1 
fuse                   77898  4 
bnep                   19584  2 
bluetooth             298920  7 bnep
ip6t_REJECT            12939  2 
nf_conntrack_ipv6      14341  3 
nf_defrag_ipv6         18095  1 nf_conntrack_ipv6
ip6table_filter        12815  1 
ip6_tables             26942  1 ip6table_filter
nf_conntrack_ipv4      14744  2 
nf_defrag_ipv4         12673  1 nf_conntrack_ipv4
xt_state               12578  5 
nf_conntrack           83451  3 xt_state,nf_conntrack_ipv4,nf_conntrack_ipv6
snd_usb_audio         125613  1 
snd_usbmidi_lib        24728  1 snd_usb_audio
snd_rawmidi            29531  1 snd_usbmidi_lib
snd_seq_device         14136  1 snd_rawmidi
snd_hda_codec_analog    93491  1 
uvcvideo               76472  0 
videobuf2_vmalloc      12967  1 uvcvideo
videobuf2_memops       13354  1 videobuf2_vmalloc
videobuf2_core         31992  1 uvcvideo
videodev              106926  1 uvcvideo
media                  20444  2 uvcvideo,videodev
arc4                   12529  2 
rt61pci                31996  0 
rt2x00pci              13995  1 rt61pci
rt2x00lib              58088  2 rt61pci,rt2x00pci
eeprom_93cx6           13088  1 rt61pci
mac80211              497449  2 rt2x00lib,rt2x00pci
cfg80211              187660  2 mac80211,rt2x00lib
rfkill                 21384  5 cfg80211,bluetooth
snd_hda_intel          33277  1 
snd_hda_codec         121042  2 snd_hda_intel,snd_hda_codec_analog
snd_hwdep              17650  2 snd_usb_audio,snd_hda_codec
ppdev                  17635  0 
snd_pcm                97321  3 snd_usb_audio,snd_hda_codec,snd_hda_intel
snd_page_alloc         18101  2 snd_pcm,snd_hda_intel
snd_timer              28690  1 snd_pcm
snd                    79242  14 snd_usb_audio,snd_hwdep,snd_timer,snd_pcm,snd_rawmidi,snd_usbmidi_lib,snd_hda_codec,snd_hda_intel,snd_seq_device,snd_hda_codec_analog
amd64_edac_mod         24033  0 
edac_core              51592  3 amd64_edac_mod
edac_mce_amd           22771  1 amd64_edac_mod
forcedeth              67599  0 
soundcore              14491  1 snd
crc_itu_t              12579  1 rt61pci
serio_raw              13371  0 
k8temp                 12971  0 
nv_tco                 13564  0 
asus_atk0110           18657  0 
i2c_nforce2            13166  0 
parport_pc             28035  0 
parport                40375  2 ppdev,parport_pc
uinput                 17673  0 
ata_generic            12899  0 
pata_acpi              13027  0 
hid_logitech_dj        18423  0 
sata_nv                31830  4 
pata_amd               14118  0 
nouveau               799637  3 
mxm_wmi                12823  1 nouveau
wmi                    18697  2 mxm_wmi,nouveau
video                  18935  1 nouveau
i2c_algo_bit           13257  1 nouveau
drm_kms_helper         40411  1 nouveau
ttm                    79760  1 nouveau
drm                   244716  5 ttm,drm_kms_helper,nouveau
i2c_core               38028  6 drm,drm_kms_helper,i2c_algo_bit,nouveau,i2c_nforce2,videodev

Note: My system has a Kogitech wireless keyboard (MK700) and mouse (M705), connected to computer through a USB receiver.

2. cat /proc/acpi/wakeup:

Device	S-state	  Status   Sysfs node
PCE0	  S4	*disabled  pci:0000:00:02.0
PCE1	  S4	*disabled  pci:0000:00:03.0
PCE2	  S4	*disabled  pci:0000:00:04.0
UAR1	  S4	*disabled  pnp:00:09
NSMB	  S4	*disabled  pci:0000:00:0a.1
USB0	  S4	*enabled   pci:0000:00:0b.0
USB2	  S4	*enabled   pci:0000:00:0b.1
NMAC	  S5	*disabled  pci:0000:00:14.0
P0P1	  S4	*disabled  pci:0000:00:10.0
HDAC	  S4	*disabled  pci:0000:00:10.1
MC97	  S4	*disabled

3. cat /var/log/pm-suspend:

[root@cessna182 nyquist]# cat /var/log/pm-suspend.log 
Initial commandline parameters: 
Sat Jun 30 14:41:46 PDT 2012: Running hooks for suspend.
Running hook /usr/lib64/pm-utils/sleep.d/00logging suspend suspend:
Linux cessna182.localdomain 3.4.3-1.fc17.x86_64 #1 SMP Mon Jun 18 19:53:17 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
Module                  Size  Used by
binfmt_misc            17463  1 
fuse                   77898  4 
bnep                   19584  2 
bluetooth             298920  7 bnep
ip6t_REJECT            12939  2 
nf_conntrack_ipv6      14341  3 
nf_defrag_ipv6         18095  1 nf_conntrack_ipv6
ip6table_filter        12815  1 
ip6_tables             26942  1 ip6table_filter
nf_conntrack_ipv4      14744  2 
nf_defrag_ipv4         12673  1 nf_conntrack_ipv4
xt_state               12578  5 
nf_conntrack           83451  3 xt_state,nf_conntrack_ipv4,nf_conntrack_ipv6
snd_usb_audio         125613  1 
snd_usbmidi_lib        24728  1 snd_usb_audio
snd_rawmidi            29531  1 snd_usbmidi_lib
snd_seq_device         14136  1 snd_rawmidi
snd_hda_codec_analog    93491  1 
uvcvideo               76472  0 
videobuf2_vmalloc      12967  1 uvcvideo
videobuf2_memops       13354  1 videobuf2_vmalloc
videobuf2_core         31992  1 uvcvideo
videodev              106926  1 uvcvideo
media                  20444  2 uvcvideo,videodev
arc4                   12529  2 
rt61pci                31996  0 
rt2x00pci              13995  1 rt61pci
rt2x00lib              58088  2 rt61pci,rt2x00pci
eeprom_93cx6           13088  1 rt61pci
mac80211              497449  2 rt2x00lib,rt2x00pci
cfg80211              187660  2 mac80211,rt2x00lib
rfkill                 21384  5 cfg80211,bluetooth
snd_hda_intel          33277  1 
snd_hda_codec         121042  2 snd_hda_intel,snd_hda_codec_analog
snd_hwdep              17650  2 snd_usb_audio,snd_hda_codec
ppdev                  17635  0 
snd_pcm                97321  3 snd_usb_audio,snd_hda_codec,snd_hda_intel
snd_page_alloc         18101  2 snd_pcm,snd_hda_intel
snd_timer              28690  1 snd_pcm
snd                    79242  14 snd_usb_audio,snd_hwdep,snd_timer,snd_pcm,snd_rawmidi,snd_usbmidi_lib,snd_hda_codec,snd_hda_intel,snd_seq_device,snd_hda_codec_analog
amd64_edac_mod         24033  0 
edac_core              51592  3 amd64_edac_mod
edac_mce_amd           22771  1 amd64_edac_mod
forcedeth              67599  0 
soundcore              14491  1 snd
crc_itu_t              12579  1 rt61pci
serio_raw              13371  0 
k8temp                 12971  0 
nv_tco                 13564  0 
asus_atk0110           18657  0 
i2c_nforce2            13166  0 
parport_pc             28035  0 
parport                40375  2 ppdev,parport_pc
uinput                 17673  0 
ata_generic            12899  0 
pata_acpi              13027  0 
hid_logitech_dj        18423  0 
sata_nv                31830  4 
pata_amd               14118  0 
nouveau               799637  3 
mxm_wmi                12823  1 nouveau
wmi                    18697  2 mxm_wmi,nouveau
video                  18935  1 nouveau
i2c_algo_bit           13257  1 nouveau
drm_kms_helper         40411  1 nouveau
ttm                    79760  1 nouveau
drm                   244716  5 ttm,drm_kms_helper,nouveau
i2c_core               38028  6 drm,drm_kms_helper,i2c_algo_bit,nouveau,i2c_nforce2,videodev
             total       used       free     shared    buffers     cached
Mem:       2051796    1805700     246096          0     120596    1168936
-/+ buffers/cache:     516168    1535628
Swap:      4193276         80    4193196
/usr/lib64/pm-utils/sleep.d/00logging suspend suspend: success.

Running hook /usr/lib64/pm-utils/sleep.d/00powersave suspend suspend:
/usr/lib64/pm-utils/sleep.d/00powersave suspend suspend: success.

Running hook /usr/lib64/pm-utils/sleep.d/01grub suspend suspend:
/usr/lib64/pm-utils/sleep.d/01grub suspend suspend: not applicable.

Running hook /usr/lib64/pm-utils/sleep.d/49bluetooth suspend suspend:
/usr/lib64/pm-utils/sleep.d/49bluetooth suspend suspend: not applicable.

Running hook /usr/lib64/pm-utils/sleep.d/55NetworkManager suspend suspend:
Having NetworkManager put all interfaces to sleep...Done.
/usr/lib64/pm-utils/sleep.d/55NetworkManager suspend suspend: success.

Running hook /usr/lib64/pm-utils/sleep.d/56dhclient suspend suspend:
/usr/lib64/pm-utils/sleep.d/56dhclient suspend suspend: success.

Running hook /usr/lib64/pm-utils/sleep.d/75modules suspend suspend:
/usr/lib64/pm-utils/sleep.d/75modules suspend suspend: not applicable.

Running hook /usr/lib64/pm-utils/sleep.d/90clock suspend suspend:
/usr/lib64/pm-utils/sleep.d/90clock suspend suspend: not applicable.

Running hook /usr/lib64/pm-utils/sleep.d/94cpufreq suspend suspend:
/usr/lib64/pm-utils/sleep.d/94cpufreq suspend suspend: success.

Running hook /usr/lib64/pm-utils/sleep.d/95led suspend suspend:
/usr/lib64/pm-utils/sleep.d/95led suspend suspend: not applicable.

Running hook /usr/lib64/pm-utils/sleep.d/95packagekit suspend suspend:
/usr/lib64/pm-utils/sleep.d/95packagekit suspend suspend: success.

Running hook /usr/lib64/pm-utils/sleep.d/98video-quirk-db-handler suspend suspend:
Kernel modesetting video driver detected, not using quirks.
/usr/lib64/pm-utils/sleep.d/98video-quirk-db-handler suspend suspend: success.

Running hook /usr/lib64/pm-utils/sleep.d/99video suspend suspend:
kernel.acpi_video_flags = 0
/usr/lib64/pm-utils/sleep.d/99video suspend suspend: success.

Sat Jun 30 14:41:47 PDT 2012: performing suspend
Sat Jun 30 14:42:57 PDT 2012: Awake.
Sat Jun 30 14:42:57 PDT 2012: Running hooks for resume
Running hook /usr/lib64/pm-utils/sleep.d/99video resume suspend:
/usr/lib64/pm-utils/sleep.d/99video resume suspend: success.

Running hook /usr/lib64/pm-utils/sleep.d/98video-quirk-db-handler resume suspend:
/usr/lib64/pm-utils/sleep.d/98video-quirk-db-handler resume suspend: success.

Running hook /usr/lib64/pm-utils/sleep.d/95packagekit resume suspend:
/usr/lib64/pm-utils/sleep.d/95packagekit resume suspend: success.

Running hook /usr/lib64/pm-utils/sleep.d/95led resume suspend:
/usr/lib64/pm-utils/sleep.d/95led resume suspend: not applicable.

Running hook /usr/lib64/pm-utils/sleep.d/94cpufreq resume suspend:
/usr/lib64/pm-utils/sleep.d/94cpufreq resume suspend: success.

Running hook /usr/lib64/pm-utils/sleep.d/90clock resume suspend:
/usr/lib64/pm-utils/sleep.d/90clock resume suspend: not applicable.

Running hook /usr/lib64/pm-utils/sleep.d/75modules resume suspend:
Reloaded unloaded modules.
/usr/lib64/pm-utils/sleep.d/75modules resume suspend: success.

Running hook /usr/lib64/pm-utils/sleep.d/56dhclient resume suspend:
/usr/lib64/pm-utils/sleep.d/56dhclient resume suspend: success.

Running hook /usr/lib64/pm-utils/sleep.d/55NetworkManager resume suspend:
Having NetworkManager wake interfaces back up...Done.
/usr/lib64/pm-utils/sleep.d/55NetworkManager resume suspend: success.

Running hook /usr/lib64/pm-utils/sleep.d/49bluetooth resume suspend:
/usr/lib64/pm-utils/sleep.d/49bluetooth resume suspend: not applicable.

Running hook /usr/lib64/pm-utils/sleep.d/01grub resume suspend:
/usr/lib64/pm-utils/sleep.d/01grub resume suspend: not applicable.

Running hook /usr/lib64/pm-utils/sleep.d/00powersave resume suspend:
/usr/lib64/pm-utils/sleep.d/00powersave resume suspend: success.

Running hook /usr/lib64/pm-utils/sleep.d/00logging resume suspend:
/usr/lib64/pm-utils/sleep.d/00logging resume suspend: success.

Sat Jun 30 14:42:58 PDT 2012: Finished.
[root@cessna182 nyquist]#

4. ps -A:

PID TTY          TIME CMD
    1 ?        00:00:02 systemd
    2 ?        00:00:00 kthreadd
    3 ?        00:00:00 ksoftirqd/0
    6 ?        00:00:00 migration/0
    7 ?        00:00:00 watchdog/0
    8 ?        00:00:00 cpuset
    9 ?        00:00:00 khelper
   10 ?        00:00:00 kdevtmpfs
   11 ?        00:00:00 netns
   12 ?        00:00:00 sync_supers
   13 ?        00:00:00 bdi-default
   14 ?        00:00:00 kintegrityd
   15 ?        00:00:00 kblockd
   16 ?        00:00:00 ata_sff
   17 ?        00:00:00 khubd
   18 ?        00:00:00 md
   48 ?        00:00:00 kswapd0
   49 ?        00:00:00 ksmd
   50 ?        00:00:00 khugepaged
   51 ?        00:00:00 fsnotify_mark
   52 ?        00:00:00 crypto
   58 ?        00:00:00 kthrotld
   65 ?        00:00:00 kpsmoused
   67 ?        00:00:00 deferwq
  149 ?        00:00:00 ttm_swap
  224 ?        00:00:00 scsi_eh_0
  225 ?        00:00:00 scsi_eh_1
  229 ?        00:00:00 scsi_eh_2
  230 ?        00:00:00 scsi_eh_3
  274 ?        00:00:00 jbd2/sda3-8
  275 ?        00:00:00 ext4-dio-unwrit
  303 ?        00:00:00 systemd-journal
  304 ?        00:00:00 kauditd
  307 ?        00:00:00 udevd
  404 ?        00:00:00 edac-poller
  408 ?        00:00:00 cfg80211
  420 ?        00:00:00 hd-audio0
  425 ?        00:00:00 flush-8:0
  477 ?        00:00:00 jbd2/sda1-8
  478 ?        00:00:00 ext4-dio-unwrit
  485 ?        00:00:00 jbd2/sda2-8
  486 ?        00:00:00 ext4-dio-unwrit
  498 ?        00:00:00 auditd
  501 ?        00:00:00 abrtd
  507 ?        00:00:00 NetworkManager
  508 ?        00:00:00 abrt-watch-log
  509 ?        00:00:00 smartd
  511 ?        00:00:00 systemd-logind
  512 ?        00:00:00 system-setup-ke
  513 ?        00:00:00 avahi-daemon
  517 ?        00:00:00 atd
  519 ?        00:00:00 gdm-binary
  520 ?        00:00:00 gpm
  527 ?        00:00:00 rsyslogd
  529 ?        00:00:01 dbus-daemon
  537 ?        00:00:00 avahi-daemon
  543 ?        00:00:00 mcelog
  552 ?        00:00:00 acpid
  557 ?        00:00:00 crond
  560 ?        00:00:00 audispd
  573 ?        00:00:00 sedispatch
  579 ?        00:00:00 chronyd
  600 ?        00:00:01 polkitd
  658 ?        00:00:00 modem-manager
  659 ?        00:00:00 bluetoothd
  671 ?        00:00:00 wpa_supplicant
  689 ?        00:00:00 sshd
  748 ?        00:00:00 accounts-daemon
  771 ?        00:00:00 upowerd
  816 ?        00:00:00 rtkit-daemon
 1256 ?        00:00:00 cupsd
 1267 ?        00:00:00 udisksd
 1517 ?        00:00:00 gdm-simple-slav
 1519 tty2     00:00:55 Xorg
 1576 ?        00:00:00 gdm-session-wor
 1585 ?        00:00:00 gnome-keyring-d
 1589 ?        00:00:00 gnome-session
 1602 ?        00:00:00 dbus-launch
 1603 ?        00:00:00 dbus-daemon
 1665 ?        00:00:00 imsettings-daem
 1668 ?        00:00:00 gvfsd
 1670 ?        00:00:00 gvfs-fuse-daemo
 1781 ?        00:00:01 gnome-settings-
 1785 ?        00:00:00 pulseaudio
 1801 ?        00:00:00 gsd-printer
 1806 ?        00:00:00 gvfs-udisks2-vo
 1809 ?        00:00:00 gvfs-afc-volume
 1812 ?        00:00:00 gvfs-gphoto2-vo
 1813 ?        00:00:00 colord
 1816 ?        00:00:39 gnome-shell
 1822 ?        00:00:00 colord-sane
 1831 ?        00:00:00 tracker-store
 1833 ?        00:00:00 nm-applet
 1835 ?        00:00:00 gnome-screensav
 1857 ?        00:00:00 evolution-alarm
 1874 ?        00:00:00 seapplet
 1888 ?        00:00:00 abrt-applet
 1890 ?        00:00:00 dconf-service
 1894 ?        00:00:00 zeitgeist-datah
 1895 ?        00:00:02 python
 1897 ?        00:00:00 gconfd-2
 1906 ?        00:00:00 tracker-miner-f
 1909 ?        00:00:00 zeitgeist-daemo
 1912 ?        00:00:00 deja-dup-monito
 1928 ?        00:00:00 zeitgeist-fts
 1937 ?        00:00:00 cat
 2003 ?        00:00:00 gnome-shell-cal
 2008 ?        00:00:00 mission-control
 2019 ?        00:00:00 goa-daemon
 2021 ?        00:00:18 python
 2056 ?        00:00:01 libsocialweb-co
 2101 ?        00:00:03 gnome-terminal
 2108 ?        00:00:00 gnome-pty-helpe
 2109 pts/0    00:00:00 bash
 2342 ?        00:02:18 firefox
 2368 ?        00:00:00 at-spi-bus-laun
 2690 pts/0    00:00:00 su
 2698 pts/0    00:00:00 bash
 2939 ?        00:00:00 kworker/0:1
 3265 ?        00:00:00 kworker/u:3
 3304 ?        00:00:00 kworker/u:42
 3306 ?        00:00:00 kworker/0:3
 3314 ?        00:00:00 udevd
 3315 ?        00:00:00 udevd
 3381 ?        00:00:00 dhclient
 3406 ?        00:00:00 sendmail
 3441 ?        00:00:00 sendmail
 3517 pts/1    00:00:00 bash
 3632 ?        00:00:00 gvfsd-metadata
 3680 ?        00:00:00 kworker/0:0
 3697 ?        00:00:00 packagekitd
 3730 ?        00:00:00 kworker/u:0
 3786 pts/0    00:00:00 ps

5. tail -f /var/log/messages:

(it ran until I shutdown the system by pressing "Reset", then "Power" - see above in the "Description of problem:")

Jun 30 14:43:28 cessna182 systemd[1]: PID 3263 read from file /run/sm-client.pid does not exist.
Jun 30 14:43:28 cessna182 chronyd[579]: Can't synchronise: no majority
Jun 30 14:43:28 cessna182 chronyd[579]: System clock status set to not insert/delete leap second
Jun 30 14:43:28 cessna182 chronyd[579]: Selected source 67.18.187.111
Jun 30 14:43:28 cessna182 chronyd[579]: System clock status set to insert leap second
Jun 30 14:45:37 cessna182 chronyd[579]: Selected source 169.229.70.201
Jun 30 14:48:27 cessna182 dbus-daemon[529]: dbus[529]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Jun 30 14:48:27 cessna182 dbus[529]: [system] Activating service name='org.freedesktop.PackageKit' (using servicehelper)
Jun 30 14:48:27 cessna182 dbus-daemon[529]: dbus[529]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Jun 30 14:48:27 cessna182 dbus[529]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Jun 30 14:54:14 cessna182 dbus-daemon[529]: dbus[529]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.1" (uid=0 pid=511 comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.72" (uid=1000 pid=1589 comm="gnome-session ")
Jun 30 14:54:14 cessna182 dbus[529]: [system] Rejected send message, 2 matched rules; type="method_return", sender=":1.1" (uid=0 pid=511 comm="/usr/lib/systemd/systemd-logind ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.72" (uid=1000 pid=1589 comm="gnome-session ")
Jun 30 14:54:14 cessna182 NetworkManager[507]: <info> sleep requested (sleeping: no  enabled: yes)
Jun 30 14:54:14 cessna182 NetworkManager[507]: <info> sleeping or disabling...
Jun 30 14:54:14 cessna182 NetworkManager[507]: <info> (wlan0): now unmanaged
Jun 30 14:54:14 cessna182 NetworkManager[507]: <info> (wlan0): device state change: activated -> unmanaged (reason 'sleeping') [100 10 37]
Jun 30 14:54:14 cessna182 NetworkManager[507]: <info> (wlan0): deactivating device (reason 'sleeping') [37]
Jun 30 14:54:14 cessna182 NetworkManager[507]: <info> (wlan0): canceled DHCP transaction, DHCP client pid 3381
Jun 30 14:54:14 cessna182 kernel: [ 2177.464710] cfg80211: Calling CRDA to update world regulatory domain
Jun 30 14:54:14 cessna182 avahi-daemon[513]: Withdrawing address record for 192.168.1.124 on wlan0.
Jun 30 14:54:14 cessna182 avahi-daemon[513]: Leaving mDNS multicast group on interface wlan0.IPv4 with address 192.168.1.124.
Jun 30 14:54:14 cessna182 avahi-daemon[513]: Interface wlan0.IPv4 no longer relevant for mDNS.
Jun 30 14:54:14 cessna182 NetworkManager[507]: <info> (wlan0): cleaning up...
Jun 30 14:54:14 cessna182 NetworkManager[507]: <info> (wlan0): taking down device.
Jun 30 14:54:14 cessna182 avahi-daemon[513]: Withdrawing address record for fe80::221:29ff:fe69:57eb on wlan0.
Jun 30 14:54:14 cessna182 kernel: [ 2177.498577] cfg80211: World regulatory domain updated:
Jun 30 14:54:14 cessna182 kernel: [ 2177.498585] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jun 30 14:54:14 cessna182 kernel: [ 2177.498592] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 30 14:54:14 cessna182 kernel: [ 2177.498598] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Jun 30 14:54:14 cessna182 kernel: [ 2177.498604] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Jun 30 14:54:14 cessna182 kernel: [ 2177.498609] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 30 14:54:14 cessna182 kernel: [ 2177.498614] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 30 14:54:14 cessna182 kernel: [ 2177.498644] cfg80211: Calling CRDA for country: US
Jun 30 14:54:14 cessna182 NetworkManager[507]: <info> (eth0): now unmanaged
Jun 30 14:54:14 cessna182 NetworkManager[507]: <info> (eth0): device state change: unavailable -> unmanaged (reason 'sleeping') [20 10 37]
Jun 30 14:54:14 cessna182 NetworkManager[507]: <info> (eth0): cleaning up...
Jun 30 14:54:14 cessna182 NetworkManager[507]: <info> (eth0): taking down device.
Jun 30 14:54:14 cessna182 kernel: [ 2177.527394] cfg80211: Regulatory domain changed to country: US
Jun 30 14:54:14 cessna182 kernel: [ 2177.527401] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jun 30 14:54:14 cessna182 kernel: [ 2177.527407] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
Jun 30 14:54:14 cessna182 kernel: [ 2177.527413] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
Jun 30 14:54:14 cessna182 kernel: [ 2177.527419] cfg80211:   (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 30 14:54:14 cessna182 kernel: [ 2177.527424] cfg80211:   (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 30 14:54:14 cessna182 kernel: [ 2177.527430] cfg80211:   (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jun 30 14:54:14 cessna182 kernel: [ 2177.527435] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
Jun 30 14:54:14 cessna182 dbus-daemon[529]: dbus[529]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
Jun 30 14:54:14 cessna182 dbus[529]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
Jun 30 14:54:14 cessna182 dbus-daemon[529]: dbus[529]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Jun 30 14:54:14 cessna182 dbus[529]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Jun 30 14:54:14 cessna182 systemd[1]: PID file /run/sendmail.pid not readable (yet?) after start.
Jun 30 14:54:14 cessna182 chronyd[579]: Source 204.235.61.9 offline
Jun 30 14:54:14 cessna182 chronyd[579]: Source 184.22.97.162 offline
Jun 30 14:54:14 cessna182 chronyd[579]: Source 67.18.187.111 offline
Jun 30 14:54:14 cessna182 chronyd[579]: Source 169.229.70.201 offline
Jun 30 14:54:14 cessna182 systemd[1]: PID 3441 read from file /run/sm-client.pid does not exist.

6. The hardware profile (smolt) is attached to this report.

Please let me know what other information might be useful in order to fix this bug. (Maybe some Spectracide bug killer? :-) Just kidding.)

Thank you!
Comment 1 Ferdinand Badescu 2012-06-30 19:42:28 EDT
Created attachment 595486 [details]
hardware profile (stdio from smolt)
Comment 2 Josh Boyer 2012-07-06 10:36:45 EDT
Can you try unloading modules individually with 'rmmod' or 'modprobe -r' and suspending after each?  This is somewhat tedious to do, but it will probably help narrow down which module (if any) is causing the issues.

From your description, it sounds like perhaps there is a timer that is set that triggers after the suspend happens and wakes the machine up.
Comment 3 Ferdinand Badescu 2012-07-11 17:02:57 EDT
(In reply to comment #2)
> Can you try unloading modules individually with 'rmmod' or 'modprobe -r' and
> suspending after each?  This is somewhat tedious to do, but it will probably
> help narrow down which module (if any) is causing the issues.
> 
> From your description, it sounds like perhaps there is a timer that is set
> that triggers after the suspend happens and wakes the machine up.

I tried to remove each module(for the last two days). Haven't been very successful at it, 'rmmod' or 'modprobe -r' would mostly come up with "Error: Module xxx is in use", even when using '--force' option. (Btw., I know '--force' option is dangerous.)

One strange fact I noticed: I don't have any Bluetooth peripheral/subsystem installed on the computer exhibiting the bug, and yet, the bluetooth and bnep modules are loaded. I cannot unload/remove these modules, 'rmmod' and 'modprobe' claiming bnep is in use (see error message above). In use by... what?

New fact: On a different system (an older one) 'suspend' works as it should, without hiccups. This machine has the following loaded modules:

1. List of loaded modules (lsmod):

Module                  Size  Used by
binfmt_misc            17463  1 
fuse                   77898  4 
vboxpci                23157  0 
vboxnetadp             25670  0 
ip6t_REJECT            12939  2 
nf_conntrack_ipv6      14341  8 
nf_defrag_ipv6         18095  1 nf_conntrack_ipv6
vboxnetflt             23442  0 
vboxdrv               267969  3 vboxnetadp,vboxnetflt,vboxpci
ip6table_filter        12815  1 
ip6_tables             26942  1 ip6table_filter
nf_conntrack_netbios_ns    12665  0 
nf_conntrack_broadcast    12527  1 nf_conntrack_netbios_ns
nf_conntrack_ipv4      14744  8 
nf_defrag_ipv4         12673  1 nf_conntrack_ipv4
xt_state               12578  16 
nf_conntrack           83451  5 nf_conntrack_netbios_ns,xt_state,nf_conntrack_broadcast,nf_conntrack_ipv4,nf_conntrack_ipv6
snd_via82xx            29218  3 
nvidia              12353318  60 
snd_via82xx_modem      18583  0 
snd_mpu401_uart        13992  1 snd_via82xx
gameport               15042  1 snd_via82xx
snd_ac97_codec        133281  2 snd_via82xx,snd_via82xx_modem
snd_rawmidi            29531  1 snd_mpu401_uart
snd_seq_device         14136  1 snd_rawmidi
ac97_bus               12718  1 snd_ac97_codec
snd_pcm                97321  4 snd_via82xx,snd_ac97_codec,snd_via82xx_modem
snd_page_alloc         18101  3 snd_via82xx,snd_pcm,snd_via82xx_modem
snd_timer              28690  1 snd_pcm
snd                    79242  13 snd_via82xx,snd_ac97_codec,snd_timer,snd_pcm,snd_rawmidi,snd_mpu401_uart,snd_via82xx_modem,snd_seq_device
shpchp                 37108  0 
skge                   49415  0 
i2c_viapro             13312  0 
amd64_edac_mod         24033  0 
edac_core              51592  3 amd64_edac_mod
ppdev                  17635  0 
edac_mce_amd           22771  1 amd64_edac_mod
i2c_core               38028  2 i2c_viapro,nvidia
uinput                 17673  0 
soundcore              14491  1 snd
serio_raw              13371  0 
k8temp                 12971  0 
parport_pc             28035  0 
parport                40375  2 ppdev,parport_pc
nfsd                  280997  13 
nfs_acl                12741  1 nfsd
auth_rpcgss            44453  1 nfsd
lockd                  85189  1 nfsd
sunrpc                255029  17 nfsd,auth_rpcgss,lockd,nfs_acl
ata_generic            12899  0 
pata_acpi              13027  0 
hid_logitech_dj        18423  0 
firewire_ohci          40393  0 
sata_via               13836  4 
pata_via               13661  0 
firewire_core          61777  1 firewire_ohci
crc_itu_t              12579  1 firewire_core
sym53c8xx              76601  2 
scsi_transport_spi     30237  1 sym53c8xx

As one can see, there is no bluetooth and bnep modules being loaded on this system. Therefore, I wonder if removing the bluetooth and its associated bnep modules would not solve the issue. Problem is (again) the system refuses to unload the module. And, I don't know what device is using 'bnep', and how to remove this module. I am attaching the hardware profile (smolt) for the working system.
Comment 4 Ferdinand Badescu 2012-07-11 17:07:31 EDT
Created attachment 597670 [details]
hardware profile (smolt) for the working system.

On the computer having this hardware "suspend" works without hiccups. It also has a Logitech wireless mouse and keyboard, same models as the non-working system. So, I guess we can remove the Logitech USB wireless adapter from the list of suspects. :-)
Comment 5 Ferdinand Badescu 2012-07-16 14:15:43 EDT
Hi Josh,

Update to my last comments (Comment 3 & 4):

I removed all unnecessary modules, bringing the system to a bare minimum ('lsmod' output):

Module                  Size  Used by
nouveau               799637  0 
mxm_wmi                12823  1 nouveau
wmi                    18697  2 mxm_wmi,nouveau
video                  18935  1 nouveau
i2c_algo_bit           13257  1 nouveau
ttm                    79760  1 nouveau
drm_kms_helper         40411  1 nouveau
drm                   244716  3 ttm,drm_kms_helper,nouveau
fuse                   77898  3 
i2c_core               38028  4 drm,drm_kms_helper,i2c_algo_bit,nouveau
ata_generic            12899  0 
hid_logitech_dj        18423  0 
sata_nv                31830  4  

In addition, I disabled onboard audio (in BIOS), completely uninstall sound-related software (pulseaudio, alsa, etc.), and reset the BIOS to default setting.

The system behaves like before, i.e., no successful "suspend" mode, however, this time the screen goes blank, and does not resume from "suspend" like before.

Following up un my previous experience, I re-installed a kernel from Fedora 16, kernel-3.1.0-7.fc16.x86_64. Using this kernel, the system suspends successfully with all the modules installed.

Observations:

1. Unless there is a problem in one of the modules listed in this comment, the problem is not a timing issue in a specific module.

2. "suspend" mode works with an older kernel (kernel-3.1.0-7.fc16.x86_64). As a matter-of-fact, "suspend" worked just fine until kernel 3.2.3 (in Fedora 16); changes made in kernels since 3.2.3 damaged this feature.

3. subsequent kernel updates, up to- and including- the latest (kernel-3.4.4-5) failed to address the problem.

Maybe looking over what has changed between the last kernel with working "suspend" (3.2.3) and the first kernel with "suspend" not working (3.2.4) might bring a clue on how to fix the bug?

For now, I downgraded the kernel to 3.1.0 in order to have the "suspend" mode working. (Needless to say, all the security/bug fixes since then are lost to me - but "suspend" works as it should!) Hopefully, you'll fix this bug in a timely manner.
Comment 6 Josh Boyer 2012-07-17 08:15:18 EDT
I'm going to guess it is the nouveau driver that is causing the suspend issues.  There is nothing upstream from 3.2.3 to 3.2.4 that changed in this area though (there is nothing at all that should be relevant that went into 3.2.4 upstream).
Comment 7 Ferdinand Badescu 2012-07-17 16:24:48 EDT
I had the same suspicion. Therefore, at some point, I installed a proprietary nvidia driver in my attempts to isolate the cause of the problem. Regardless of the video driver - nouveau or nvidia - the system behaves the same.

As I mentioned in Comment #3, on another system I am using, "suspend" works with  all old and current kernels without hiccups. The differences between these two systems are ("suspend" not working, and working, respectively):

- chipsets (nForce2 and K8T800PRO)
- video card buses (PCIe 16x and AGP 8x)
- BIOS
- CPU speed (2MHz and 1.8MHz) - not relevant to our problem.
- additional peripherals on the system with working suspend - not relevant.

Could it be that some code was changed that affects the nForce2 chipset in the area of video, SATA, or USB controllers? I noticed the hard disk is not spun down, and the keyboard does not take any command after I attempt to suspend the system. I also noticed the video driver is using a module, i2c_core, which is also used by i2c_nforce2 module. Unfortunately, I don't have much coding experience to forward a hypothesis, it's just a wild guess. I wish I could help more.

The hardware profile of the system where "suspend" works is listed below (stout from smoltSendProfile):

General
=================================
UUID: a8a3513e-9b91-4a4c-999a-acc43098
OS: Fedora release 17 (Beefy Miracle)
Default run level: Unknown
Language: en_US.utf8
Platform: x86_64
BogoMIPS: 3604.62
CPU Vendor: AuthenticAMD
CPU Model: AMD Athlon(tm) 64 Processor 3000+
CPU Stepping: 0
CPU Family: 15
CPU Model Num: 47
Number of CPUs: 1
CPU Speed: 1800
System Memory: 2003
System Swap: 4031
Vendor: System manufacturer
System: System Product Name System Version
Form factor: Desktop
Kernel: 3.4.4-3.fc17.x86_64
SELinux Enabled: 0
SELinux Policy: targeted
SELinux Enforce: Unknown
MythTV Remote: Unknown
MythTV Role: Unknown
MythTV Theme: Unknown
MythTV Plugin: 
MythTV Tuner: -1


Devices
=================================
(4358:12839:4163:33005) pci, None, PCI/ISA, A7V600/K8V-X/A8V Deluxe motherboard
(4358:12548:4163:33005) pci, ehci_hcd, USB, A7V600/K8V-X/A8V Deluxe motherboard
(4358:12344:4163:33005) pci, uhci_hcd, USB, A7V600/K8V-X/A8V Deluxe motherboard
(4358:12344:4163:33005) pci, uhci_hcd, USB, A7V600/K8V-X/A8V Deluxe motherboard
(4358:12344:4163:33005) pci, uhci_hcd, USB, A7V600/K8V-X/A8V Deluxe motherboard
(4358:12344:4163:33005) pci, uhci_hcd, USB, A7V600/K8V-X/A8V Deluxe motherboard
(4358:8834:0:0) pci, None, HOST/PCI, K8T800Pro Host Bridge
(4358:12930:0:0) pci, None, HOST/PCI, K8T800Pro Host Bridge
(4358:642:4163:32931) pci, agpgart-amd64, HOST/PCI, A8V Deluxe
(4358:4738:0:0) pci, None, HOST/PCI, K8T800Pro Host Bridge
(4358:29314:0:0) pci, None, HOST/PCI, K8T800Pro Host Bridge
(4358:17026:0:0) pci, None, HOST/PCI, K8T800Pro Host Bridge
(4358:45448:0:0) pci, None, PCI/PCI, VT8237 PCI bridge [K8T800/K8T890 South]
(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
(4130:4354:0:0) pci, amd64_edac, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
(4358:12377:4163:33066) pci, snd_via82xx, MULTIMEDIA_AUDIO, A8V Deluxe motherboard (Realtek ALC850 codec)
(4358:12392:0:0) pci, None, SIMPLE, AC'97 Modem Controller
(4318:241:0:0) pci, nvidia, VIDEO, NV43 [GeForce 6600 GT]
(4523:17184:4163:33050) pci, skge, ETHERNET, Marvell 88E8001 Gigabit Ethernet Controller (Asus)
(4096:32:7649:4128) pci, sym53c8xx, SCSI, DC-390U3W
(4096:32:7649:4128) pci, sym53c8xx, SCSI, DC-390U3W
(4358:12617:4163:33005) pci, sata_via, RAID, A7V600/K8V Deluxe/K8V-X/A8V Deluxe motherboard
(4358:1393:4163:33005) pci, pata_via, STORAGE, A7V600/K8V-X/A8V Deluxe motherboard
(4358:12344:4358:12344) pci, uhci_hcd, USB, VT82xxxxx UHCI USB 1.1 Controller
(4358:12344:4358:12344) pci, uhci_hcd, USB, VT82xxxxx UHCI USB 1.1 Controller
(4358:12356:4358:12356) pci, firewire_ohci, FIREWIRE, VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller
(4358:12548:4358:12548) pci, ehci_hcd, USB, USB 2.0


Filesystem Information
=================================
device mtpt type bsize frsize blocks bfree bavail file ffree favail
-------------------------------------------------------------------
/dev/sdc4 / ext4 4096 4096 46019393 42250366 39946366 11526144 11178702 11178702
/dev/sdc5 /home ext4 4096 4096 74817234 66436112 62690756 18726912 18667441 18667441
/dev/sdc2 /boot ext4 1024 1024 304362 174283 158923 76912 76650 76650
/dev/sda1 WITHHELD ext3 4096 4096 8825183 8178504 7729589 4489216 4488073 4488073
/dev/sdb1 WITHHELD ext3 4096 4096 8825147 2524460 2075545 4489216 4474493 4474493
Comment 8 Ben Skeggs 2012-08-02 21:57:06 EDT
Reassigning back to kernel as per previous comment...
Comment 9 hoshi 2012-08-06 07:35:54 EDT
i can confirm this bug! i have also a system with a nforce2 chipset... same behavior as in the first post!
Comment 10 Diego 2013-06-07 13:06:30 EDT
I use the same motherboard and have the exact same bug. I also remember suspend used to work fine before, though I could not say for sure when it stopped working. I was using Fedora 18 until just recently and I'm using Mint 15 now and the problem happens on both distributions. Any news concerning this bug?
Comment 11 Ferdinand Badescu 2013-06-07 14:34:43 EDT
Diego,

Since I filed the bug a year ago I resolved to switching to Intel-based motherboards. Apparently, they are better supported by the developers than NVidia-based ones - fewer bugs and faster fixes. Of course, this is my opinion, and is based solely on my experience; I didn't perform any statistical analysis.
Comment 12 Fedora End Of Life 2013-07-03 19:29:01 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2013-07-31 22:12:20 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.